[node-patches] Change in ovirt-node[master]: show missing disk dracut errors when attempting to clear lvm...

jboggs at redhat.com jboggs at redhat.com
Tue Dec 4 15:40:25 UTC 2012


Joey Boggs has uploaded a new change for review.

Change subject: show missing disk dracut errors when attempting to clear lvm metadata
......................................................................

show missing disk dracut errors when attempting to clear lvm metadata

rhbz#879542

Change-Id: If4fca5e663df985fbe576be9af181bfddacbd675
Signed-off-by: Joey Boggs <jboggs at redhat.com>
---
M dracut/ovirt-cleanup.sh
1 file changed, 9 insertions(+), 3 deletions(-)


  git pull ssh://gerrit.ovirt.org:29418/ovirt-node refs/changes/08/9708/1

diff --git a/dracut/ovirt-cleanup.sh b/dracut/ovirt-cleanup.sh
index a0e8206..00a949b 100755
--- a/dracut/ovirt-cleanup.sh
+++ b/dracut/ovirt-cleanup.sh
@@ -107,6 +107,12 @@
 done
 lvm_storage_init=${lvm_storage_init#,}
 
+fatal() {
+    [ -x /bin/plymouth ] && /bin/plymouth --hide-splash
+    echo "<1>dracut: FATAL: $@" > /dev/kmsg
+    echo "dracut: FATAL: $@" >&2
+}
+
 for device in $lvm_storage_init; do
     if [ -z "$device" ]; then
         continue
@@ -132,9 +138,9 @@
                 done
                 IFS=$oldIFS
                 if [ $imach -eq 0 ]; then
-                    warn "LV '$lv' is not a member of VG '$vg'"
-                    die "Not all member PVs of '$vg' are given in the storage_init parameter, exiting"
-                    return 0
+                    fatal "LV '$ipv' is a member of VG '$vg' and must be included in \$storage_init"
+                    fatal "Not all member PVs of '$vg' are given in the storage_init parameter, exiting"
+                    exit 1
                 fi
             done
             info "Found and removing vg: $vg"


--
To view, visit http://gerrit.ovirt.org/9708
To unsubscribe, visit http://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: If4fca5e663df985fbe576be9af181bfddacbd675
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node
Gerrit-Branch: master
Gerrit-Owner: Joey Boggs <jboggs at redhat.com>



More information about the node-patches mailing list